function R = createRotation(RotationAngles)

thetaX = RotationAngles(1,1)*pi/180;
thetaY = RotationAngles(2,1)*pi/180;
thetaZ = RotationAngles(3,1)*pi/180;

Rz = [cos(thetaZ) -sin(thetaZ) 0; sin(thetaZ) cos(thetaZ) 0; 0 0 1];
Rx = [1 0 0 ;0 cos(thetaX) -sin(thetaX);0 sin(thetaX) cos(thetaX)];
Ry = [cos(thetaY) 0 sin(thetaY); 0 1 0;-sin(thetaY) 0 cos(thetaY)];

R = (Rz*Rx*Ry)\eye(3);   % R Inverse is here