function [W, Rs] = createSyntheticW(Sd, C)

N = size(Sd, 2);
W = zeros(2, N);
Rs = zeros(2*C, 3);

for c = 1:C
    R = createRotation([90; 45*(ceil(C/2)- c); 0]);
%     [R, ext] = qr(rand(3));
    W(2*c-1:2*c, :) = R(1:2, :)*Sd;
    Rs(2*c-1:2*c, :) = R(1:2, :);
end