function Theta = estimateBasisIncompleteW(W, F, K)
% W matrix is 2C-by-FP, Need to check this function

C = size(W, 1)/2;
P = size(W, 2)/F;

D = idct(eye(F));
D = D(:, 1:K);
W2 = zeros(F, 2*C*P);
Wi = zeros(F, 2*P);
for i=1:C
    j1 = (i-1)*2*P + 1;
    j2 = i*2*P;
    Wi(:, 1:2:end) = reshape(W(2*i-1, :), F, P);
    Wi(:, 2:2:end) = reshape(W(2*i, :), F, P);
    
    nanInd = isnan(Wi);
    L = maxBreak(nanInd);
    Ki = min(floor(F/L), K);
    
    for j=1:P
       visFrm = ~isnan(Wi(:, 2*j-1));
       b = D(visFrm, 1:Ki)\Wi(visFrm, 2*j-1:2*j);
       Wi(~visFrm, 2*j-1:2*j) = D(~visFrm, 1:Ki)*b;
    end
    W2(:, j1:j2) = Wi;
end

if F<(2*P*C)
    [Theta, D, V] = svd(W2, 0);
else
    [U, D, Theta] = svd(W2', 0);
end

function L = maxBreak(bolArray)

[rows, cols] = size(bolArray);
bolArray = [false(1,cols); bolArray; false(1,cols)];

diff = bolArray(2:end, :) - bolArray(1:end-1, :);

starts = find(diff==1);
ends = find(diff==-1);
L = max(ends-starts);