function [W, indcs] = getIncompleteW(W, percentage)

C = size(W, 1)/2;
P = size(W, 2);

r = rand(C*P, 1);
[r, ind] = sort(r);

L = round(C*P*percentage);
ind = ind(1:L);

indcs = true(C, P);
indcs(ind) = 0;

X = W(1:2:end, :);
X(ind) = NaN;
Y = W(2:2:end, :);
Y(ind) = NaN;

W(1:2:end, :) = X;
W(2:2:end, :) = Y;